clan::NetGameServer Class Reference - ClanLib SDK
Description: clan::NetGameServer Class Reference

Public Member Functions | List of all members
clan::NetGameServer Class Reference
clanNetwork NetGame

NetGameServer. More...

`#include <server.h>`

Inheritance diagram for clan::NetGameServer:

## Public Member Functions
| NetGameServer ()
| ~NetGameServer ()
void | process_events ()
| Process events.
void | send_event (const NetGameEvent &game_event)
| Send event.
Signal< void(NetGameConnection *)> & | sig_client_connected ()
Signal< void(NetGameConnection *, const std::string &)> & | sig_client_disconnected ()
Signal< void(NetGameConnection *, const NetGameEvent &)> & | sig_event_received ()
void | start (const std::string &address, const std::string &port)
| Start.
void | start (const std::string &port)
| Start.
void | stop ()
| Stop.

## Detailed Description

NetGameServer.

## Constructor & Destructor Documentation

## ◆ NetGameServer()

clan::NetGameServer::NetGameServer | ( |  | ) |

## ◆ ~NetGameServer()

clan::NetGameServer::~NetGameServer | ( |  | ) |

## Member Function Documentation

## ◆ process_events()

void clan::NetGameServer::process_events | ( |  | ) |

Process events.

## ◆ send_event()

void clan::NetGameServer::send_event | ( | const NetGameEvent & | game_event | ) |

Send event.

Parameters

  game_event | = Net Game Event

## ◆ sig_client_connected()

Signal< void(NetGameConnection *)> & clan::NetGameServer::sig_client_connected | ( |  | ) |

## ◆ sig_client_disconnected()

Signal< void(NetGameConnection *, const std::string &)> & clan::NetGameServer::sig_client_disconnected | ( |  | ) |

## ◆ sig_event_received()

Signal< void(NetGameConnection *, const NetGameEvent &)> & clan::NetGameServer::sig_event_received | ( |  | ) |

References clan::e.

## ◆ start() [1/2]

void clan::NetGameServer::start | ( | const std::string & | address,
|  | const std::string & | port )

Start.

Parameters

  address | = String
  port | = String

## ◆ start() [2/2]

void clan::NetGameServer::start | ( | const std::string & | port | ) |

Start.

Parameters

  port | = String

## ◆ stop()

void clan::NetGameServer::stop | ( |  | ) |

Stop.

The documentation for this class was generated from the following file:

- server.h